Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.wsdl
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.wsdl	(revision 4320)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.wsdl	(revision 4320)
@@ -0,0 +1,171 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="SlaveConsoleCommunicator" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
+  <wsp:Policy wsu:Id="SlaveConsoleTcpEndpoint_policy">
+    <wsp:ExactlyOne>
+      <wsp:All>
+        <msb:BinaryEncoding xmlns:msb="http://schemas.microsoft.com/ws/06/2004/mspolicy/netbinary1">
+        </msb:BinaryEncoding>
+        <wsaw:UsingAddressing>
+        </wsaw:UsingAddressing>
+      </wsp:All>
+    </wsp:ExactlyOne>
+  </wsp:Policy>
+  <wsdl:types>
+    <xsd:schema targetNamespace="http://tempuri.org/Imports">
+      <xsd:import namespace="http://tempuri.org/" />
+      <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+      <xsd:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" />
+      <xsd:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Common" />
+      <xsd:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" />
+      <xsd:import namespace="http://schemas.datacontract.org/2004/07/System.Drawing" />
+    </xsd:schema>
+  </wsdl:types>
+  <wsdl:message name="ISlaveConsoleCommunicator_GetStatusInfos_InputMessage">
+    <wsdl:part name="parameters" element="tns:GetStatusInfos" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_GetStatusInfos_OutputMessage">
+    <wsdl:part name="parameters" element="tns:GetStatusInfosResponse" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_SetConnection_InputMessage">
+    <wsdl:part name="parameters" element="tns:SetConnection" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_SetConnection_OutputMessage">
+    <wsdl:part name="parameters" element="tns:SetConnectionResponse" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_Disconnect_InputMessage">
+    <wsdl:part name="parameters" element="tns:Disconnect" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_Disconnect_OutputMessage">
+    <wsdl:part name="parameters" element="tns:DisconnectResponse" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_GetCurrentConnection_InputMessage">
+    <wsdl:part name="parameters" element="tns:GetCurrentConnection" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_GetCurrentConnection_OutputMessage">
+    <wsdl:part name="parameters" element="tns:GetCurrentConnectionResponse" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_ShutdownClient_InputMessage">
+    <wsdl:part name="parameters" element="tns:ShutdownClient" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_ShutdownClient_OutputMessage">
+    <wsdl:part name="parameters" element="tns:ShutdownClientResponse" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_SetUptimeCalendar_InputMessage">
+    <wsdl:part name="parameters" element="tns:SetUptimeCalendar" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_SetUptimeCalendar_OutputMessage">
+    <wsdl:part name="parameters" element="tns:SetUptimeCalendarResponse" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_GetUptimeCalendar_InputMessage">
+    <wsdl:part name="parameters" element="tns:GetUptimeCalendar" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveConsoleCommunicator_GetUptimeCalendar_OutputMessage">
+    <wsdl:part name="parameters" element="tns:GetUptimeCalendarResponse" />
+  </wsdl:message>
+  <wsdl:portType name="ISlaveConsoleCommunicator">
+    <wsdl:operation name="GetStatusInfos">
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetStatusInfos" message="tns:ISlaveConsoleCommunicator_GetStatusInfos_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetStatusInfosResponse" message="tns:ISlaveConsoleCommunicator_GetStatusInfos_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="SetConnection">
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/SetConnection" message="tns:ISlaveConsoleCommunicator_SetConnection_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/SetConnectionResponse" message="tns:ISlaveConsoleCommunicator_SetConnection_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="Disconnect">
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/Disconnect" message="tns:ISlaveConsoleCommunicator_Disconnect_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/DisconnectResponse" message="tns:ISlaveConsoleCommunicator_Disconnect_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="GetCurrentConnection">
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnection" message="tns:ISlaveConsoleCommunicator_GetCurrentConnection_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnectionResponse" message="tns:ISlaveConsoleCommunicator_GetCurrentConnection_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="ShutdownClient">
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/ShutdownClient" message="tns:ISlaveConsoleCommunicator_ShutdownClient_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/ShutdownClientResponse" message="tns:ISlaveConsoleCommunicator_ShutdownClient_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="SetUptimeCalendar">
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/SetUptimeCalendar" message="tns:ISlaveConsoleCommunicator_SetUptimeCalendar_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/SetUptimeCalendarResponse" message="tns:ISlaveConsoleCommunicator_SetUptimeCalendar_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="GetUptimeCalendar">
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetUptimeCalendar" message="tns:ISlaveConsoleCommunicator_GetUptimeCalendar_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetUptimeCalendarResponse" message="tns:ISlaveConsoleCommunicator_GetUptimeCalendar_OutputMessage" />
+    </wsdl:operation>
+  </wsdl:portType>
+  <wsdl:binding name="SlaveConsoleTcpEndpoint" type="tns:ISlaveConsoleCommunicator">
+    <wsp:PolicyReference URI="#SlaveConsoleTcpEndpoint_policy">
+    </wsp:PolicyReference>
+    <soap12:binding transport="http://schemas.microsoft.com/soap/tcp" />
+    <wsdl:operation name="GetStatusInfos">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/GetStatusInfos" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="SetConnection">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/SetConnection" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="Disconnect">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/Disconnect" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetCurrentConnection">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnection" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="ShutdownClient">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/ShutdownClient" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="SetUptimeCalendar">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/SetUptimeCalendar" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetUptimeCalendar">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/GetUptimeCalendar" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+  </wsdl:binding>
+  <wsdl:service name="SlaveConsoleCommunicator">
+    <wsdl:port name="SlaveConsoleTcpEndpoint" binding="tns:SlaveConsoleTcpEndpoint">
+      <soap12:address location="net.tcp://localhost:8000/SlaveConsoleService" />
+      <wsa10:EndpointReference>
+        <wsa10:Address>net.tcp://localhost:8000/SlaveConsoleService</wsa10:Address>
+      </wsa10:EndpointReference>
+    </wsdl:port>
+  </wsdl:service>
+</wsdl:definitions>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.xsd	(revision 4320)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.xsd	(revision 4320)
@@ -0,0 +1,85 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://tempuri.org/" elementFormDefault="qualified" targetNamespace="http://tempuri.org/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" />
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" />
+  <xs:element name="GetStatusInfos">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetStatusInfosResponse">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" minOccurs="0" name="GetStatusInfosResult" nillable="true" type="q1:StatusCommons" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="SetConnection">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" minOccurs="0" name="container" nillable="true" type="q2:ConnectionContainer" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="SetConnectionResponse">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="Disconnect">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="DisconnectResponse">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetCurrentConnection">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetCurrentConnectionResponse">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" minOccurs="0" name="GetCurrentConnectionResult" nillable="true" type="q3:ConnectionContainer" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="ShutdownClient">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="ShutdownClientResponse">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="SetUptimeCalendar">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q4="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" minOccurs="0" name="appointments" nillable="true" type="q4:ArrayOfAppointment" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="SetUptimeCalendarResponse">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetUptimeCalendar">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetUptimeCalendarResponse">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q5="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" minOccurs="0" name="GetUptimeCalendarResult" nillable="true" type="q5:ArrayOfAppointment" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+</xs:schema>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service1.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service1.xsd	(revision 4320)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service1.xsd	(revision 4320)
@@ -0,0 +1,42 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/" attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:element name="anyType" nillable="true" type="xs:anyType" />
+  <xs:element name="anyURI" nillable="true" type="xs:anyURI" />
+  <xs:element name="base64Binary" nillable="true" type="xs:base64Binary" />
+  <xs:element name="boolean" nillable="true" type="xs:boolean" />
+  <xs:element name="byte" nillable="true" type="xs:byte" />
+  <xs:element name="dateTime" nillable="true" type="xs:dateTime" />
+  <xs:element name="decimal" nillable="true" type="xs:decimal" />
+  <xs:element name="double" nillable="true" type="xs:double" />
+  <xs:element name="float" nillable="true" type="xs:float" />
+  <xs:element name="int" nillable="true" type="xs:int" />
+  <xs:element name="long" nillable="true" type="xs:long" />
+  <xs:element name="QName" nillable="true" type="xs:QName" />
+  <xs:element name="short" nillable="true" type="xs:short" />
+  <xs:element name="string" nillable="true" type="xs:string" />
+  <xs:element name="unsignedByte" nillable="true" type="xs:unsignedByte" />
+  <xs:element name="unsignedInt" nillable="true" type="xs:unsignedInt" />
+  <xs:element name="unsignedLong" nillable="true" type="xs:unsignedLong" />
+  <xs:element name="unsignedShort" nillable="true" type="xs:unsignedShort" />
+  <xs:element name="char" nillable="true" type="tns:char" />
+  <xs:simpleType name="char">
+    <xs:restriction base="xs:int" />
+  </xs:simpleType>
+  <xs:element name="duration" nillable="true" type="tns:duration" />
+  <xs:simpleType name="duration">
+    <xs:restriction base="xs:duration">
+      <xs:pattern value="\-?P(\d*D)?(T(\d*H)?(\d*M)?(\d*(\.\d*)?S)?)?" />
+      <xs:minInclusive value="-P10675199DT2H48M5.4775808S" />
+      <xs:maxInclusive value="P10675199DT2H48M5.4775807S" />
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:element name="guid" nillable="true" type="tns:guid" />
+  <xs:simpleType name="guid">
+    <xs:restriction base="xs:string">
+      <xs:pattern value="[\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12}" />
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:attribute name="FactoryType" type="xs:QName" />
+  <xs:attribute name="Id" type="xs:ID" />
+  <xs:attribute name="Ref" type="xs:IDREF" />
+</xs:schema>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs	(revision 4320)
@@ -26,5 +26,5 @@
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Slave.ExecutionEngine;
-using HeuristicLab.Hive.Slave.Core.ClientConsoleService;
+using HeuristicLab.Hive.Slave.Core.SlaveConsoleService;
 using HeuristicLab.Hive.Slave.Communication;
 using HeuristicLab.Hive.Slave.Core.Properties;
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4320)
@@ -30,5 +30,5 @@
 using HeuristicLab.Hive.Slave.Common;
 using HeuristicLab.Hive.Slave.Communication;
-using HeuristicLab.Hive.Slave.Core.ClientConsoleService;
+using HeuristicLab.Hive.Slave.Core.SlaveConsoleService;
 using HeuristicLab.Hive.Slave.Core.ConfigurationManager;
 using HeuristicLab.Hive.Slave.Core.JobStorage;
@@ -69,6 +69,6 @@
       Logger.Info("Hive Slave started");
       SlaveConsoleServer server = new SlaveConsoleServer();
-      server.StartClientConsoleServer(new Uri("net.tcp://127.0.0.1:8000/SlaveConsole/"));
-
+      server.StartClientConsoleServer();
+      
       ConfigManager manager = ConfigManager.Instance;
       manager.Core = this;
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj	(revision 4320)
@@ -11,4 +11,5 @@
     <RootNamespace>HeuristicLab.Hive.Slave.Core</RootNamespace>
     <AssemblyName>HeuristicLab.Hive.Slave.Core-3.3</AssemblyName>
+    <ProjectTypeGuids>{3D9AD99F-2412-4246-B90B-4EAA41C64699};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -175,5 +176,14 @@
     </ProjectReference>
   </ItemGroup>
-  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+  <ProjectExtensions>
+    <VisualStudio>
+      <FlavorProperties GUID="{3D9AD99F-2412-4246-B90B-4EAA41C64699}">
+        <WcfProjectProperties>
+          <AutoStart>False</AutoStart>
+        </WcfProjectProperties>
+      </FlavorProperties>
+    </VisualStudio>
+  </ProjectExtensions>
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/Interfaces/ISlaveConsoleCommunicator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/Interfaces/ISlaveConsoleCommunicator.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/Interfaces/ISlaveConsoleCommunicator.cs	(revision 4320)
@@ -27,5 +27,5 @@
 using HeuristicLab.Calendar;
 
-namespace HeuristicLab.Hive.Slave.Core.ClientConsoleService.Interfaces {
+namespace HeuristicLab.Hive.Slave.Core.SlaveConsoleService.Interfaces {
   /// <summary>
   /// Defines the interfaces for the Client Console
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleCommunicator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleCommunicator.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleCommunicator.cs	(revision 4320)
@@ -3,5 +3,5 @@
 using System.Linq;
 using System.Text;
-using HeuristicLab.Hive.Slave.Core.ClientConsoleService.Interfaces;
+using HeuristicLab.Hive.Slave.Core.SlaveConsoleService.Interfaces;
 using HeuristicLab.Hive.Slave.Core.ConfigurationManager;
 using HeuristicLab.Hive.Slave.Communication;
@@ -10,5 +10,5 @@
 using HeuristicLab.Calendar;
 
-namespace HeuristicLab.Hive.Slave.Core.ClientConsoleService {
+namespace HeuristicLab.Hive.Slave.Core.SlaveConsoleService {
   public class SlaveConsoleCommunicator: ISlaveConsoleCommunicator {
     #region IClientConsoleCommunicator Members
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleServer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleServer.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleServer.cs	(revision 4320)
@@ -6,35 +6,13 @@
 using System.ServiceModel;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Hive.Slave.Core.ClientConsoleService.Interfaces;
+using HeuristicLab.Hive.Slave.Core.SlaveConsoleService.Interfaces;
 using HeuristicLab.Hive.Contracts;
 
-namespace HeuristicLab.Hive.Slave.Core.ClientConsoleService {
+namespace HeuristicLab.Hive.Slave.Core.SlaveConsoleService {
   public class SlaveConsoleServer {
-
-    private bool AddMexEndpoint(ServiceHost serviceHost) {
-      if (serviceHost != null) {
-        ServiceMetadataBehavior behavior = new ServiceMetadataBehavior();
-        serviceHost.Description.Behaviors.Add(behavior);
-
-        return serviceHost.AddServiceEndpoint(typeof(IMetadataExchange), MetadataExchangeBindings.CreateMexTcpBinding(), "mex") != null;
-      } else
-        return false;
-    }
-
-    public ServiceHost StartClientConsoleServer(Uri uriTcp) {
-      IEnumerable<ISlaveConsoleCommunicator> clientConsoleServerInstances = ApplicationManager.Manager.GetInstances<ISlaveConsoleCommunicator>();
-
-      if (clientConsoleServerInstances.Count() > 0) {
-        ServiceHost serviceHost = new ServiceHost(clientConsoleServerInstances.First().GetType(), uriTcp);
-
-        serviceHost.AddServiceEndpoint(typeof(ISlaveConsoleCommunicator), WcfSettings.GetBinding(), "SlaveConsoleCommunicator");
-
-        AddMexEndpoint(serviceHost);
-
-        serviceHost.Open();
-        return serviceHost;
-      } else {
-        return null;
-      }
+    public ServiceHost StartClientConsoleServer() {
+      ServiceHost host = new ServiceHost(ApplicationManager.Manager.GetTypes(typeof(ISlaveConsoleCommunicator)).First());
+      host.Open();
+      return host;
     }
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/ConnectionContainer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/ConnectionContainer.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/ConnectionContainer.cs	(revision 4320)
@@ -26,5 +26,5 @@
 using System.Runtime.Serialization;
 
-namespace HeuristicLab.Hive.Slave.Core.ClientConsoleService {
+namespace HeuristicLab.Hive.Slave.Core.SlaveConsoleService {
   [DataContract]
   public class ConnectionContainer {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/JobStatus.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/JobStatus.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/JobStatus.cs	(revision 4320)
@@ -26,5 +26,5 @@
 using System.Runtime.Serialization;
 
-namespace HeuristicLab.Hive.Slave.Core.ClientConsoleService {
+namespace HeuristicLab.Hive.Slave.Core.SlaveConsoleService {
   [DataContract]
   public class JobStatus {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/StatusCommons.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/StatusCommons.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/StatusCommons.cs	(revision 4320)
@@ -27,5 +27,5 @@
 using System.Runtime.Serialization;
 
-namespace HeuristicLab.Hive.Slave.Core.ClientConsoleService {
+namespace HeuristicLab.Hive.Slave.Core.SlaveConsoleService {
   /// <summary>
   /// Various Status Information for the ClientConsole
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4320)
@@ -7,4 +7,5 @@
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Slave.Core\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Slave.Communication\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
+ConfigMerger "%SolutionDir%HeuristicLab.Hive.Slave.Console\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Tracing\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 
